RubyGems Navigation menu

capybara 3.38.0

Capybara is an integration testing tool for rack based web applications. It simulates how a user would interact with a website

Versions:

  1. 3.38.0 - November 04, 2022 (371 KB)
  2. 3.37.1 - May 09, 2022 (368 KB)
  3. 3.37.0 - May 07, 2022 (368 KB)
  4. 3.36.0 - October 25, 2021 (366 KB)
  5. 3.35.3 - January 30, 2021 (363 KB)
Show all versions (150 total)

Runtime Dependencies (8):

matrix >= 0
mini_mime >= 0.1.3
nokogiri ~> 1.8
rack >= 1.6.0
rack-test >= 0.6.3
regexp_parser >= 1.5, < 3.0
xpath ~> 3.2

Development Dependencies (23):

byebug >= 0
coveralls >= 0
cucumber >= 2.3.0
erubi >= 0
irb >= 0
launchy >= 2.0.4
minitest >= 0
puma >= 0
rake >= 0
rspec >= 3.5.0
rubocop ~> 1.1
rubocop-rspec ~> 2.0
selenium-webdriver >= 3.142.7, < 5.0
sinatra >= 1.4.0
uglifier >= 0
webdrivers >= 3.6.0
yard >= 0.9.0

Owners:

Pushed by:

Authors:

  • Thomas Walpole, Jonas Nicklas

SHA 256 checksum:

7b6cc957d0a962cbbd1a9618603f024fd7fb261b4c16c5e3af682a313f4a6188

Total downloads 174,078,811

For this version 2,434,446

Gemfile:
= Copy to clipboard Copied!

install:
=

License:

MIT

Required Ruby Version: >= 2.7.0

New versions require MFA: true

Version published with MFA: true

Links: